## condor 7.8.7~dfsg.1

=== CMakeLists.txt ===
 ###############################################################
 # 
 # Copyright 2011 Red Hat, Inc. 
 # 
 # Licensed under the Apache License, Version 2.0 (the "License"); you 
 # may not use this file except in compliance with the License.  You may 
 # obtain a copy of the License at 
 # 
 #    http://www.apache.org/licenses/LICENSE-2.0 
 # 
 # Unless required by applicable law or agreed to in writing, software 
 # distributed under the License is distributed on an "AS IS" BASIS, 
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and 
 # limitations under the License. 
 # 
 ############################################################### 

##########################################################################
# Set project
project(CONDOR)
cmake_minimum_required(VERSION 2.6)

##########################################################################
#Setup package meta-data (used in packaging)
set(PACKAGE "condor")

# Condor version info
#   Condor and other systems parse this number. Keep it simple:
#   Number.Number.Number. Do nothing else.  If you need to add
#   more information, PRE_RELEASE is usually the right location.
set(VERSION "7.8.7")

# Set PRE_RELEASE to either a string (i.e. "PRE-RELEASE-UWCS") or OFF
#   This shuld be "PRE-RELEASE-UWCS most of the time, and OFF when
#   building a release candidate.  If you need to identify builds,
#   perhaps because you are working on a feature branch and need to
#   ship test binaries to a user, change this to identify your work.
#   Avoid whitespace.
#set(PRE_RELEASE "PRE-RELEASE-UWCS")
set(PRE_RELEASE OFF)

# If set via the cmake command line, FORCE_PRE_RELEASE allows for
#   PRE_RELEASE to be forced into a build.
#   cmake ... -DFORCE_PRE_RELEASE:STRING=PRE-RELEASE-NMI
if( FORCE_PRE_RELEASE )
  set(PRE_RELEASE ${FORCE_PRE_RELEASE})
endif( FORCE_PRE_RELEASE )

set(PACKAGE_BUGREPORT "http://condor-wiki.cs.wisc.edu/index.cgi/tktnew")
set(PACKAGE_NAME ${PACKAGE} )
set(PACKAGE_VERSION ${VERSION} )
set(PACKAGE_STRING ${PACKAGE} )
string( TOUPPER "${CMAKE_SYSTEM_NAME}" OS_NAME )
string( TOUPPER "${CMAKE_SYSTEM_VERSION}" OS_VER )
string( TOUPPER "${CMAKE_SYSTEM_PROCESSOR}" SYS_ARCH )
site_name(HOSTNAME)
option(_DEBUG "Debug statements and set default build config" OFF)

###########################################
# start cmake module inclusion
list(APPEND CMAKE_MODULE_PATH ${CONDOR_SOURCE_DIR}/build/cmake/macros;${CONDOR_SOURCE_DIR}/build/cmake/modules;${CONDOR_SOURCE_DIR}/build/cmake)
#include (FeatureSummary)
include (dprint) # set debug module 1st to all spewing in other modules if needed
include (AppendVar)
include (CommandTarget)
include (gSOAPGen)
include (CloneInstall)
include (FindMultiple)
include (ExternalProjectPatched)
include (CheckIncludeFiles)
include (CheckFunctionExists)
include (CheckSymbolExists)
include (CheckStructHasMember)
include (CheckTypeExists)
include (CheckLibraryExists)
include (CheckTypeSize)
include (GetTimeDate)
include (CleanString)
include (PackageDate)
include (SystemSpecificInformations)
include (CondorPackageConfig) # setup packaging variables needed prior to install targets
include (CondorGlob)
include (CondorSelectiveGlob)
include (CondorSetLinkLibs)
include (CondorExe)
include (CondorDaemon)
include (CondorPrecompiledHeaders)
include (CondorStaticLib)
include (CondorPlugin)
include (CheckCXXCompilerFlag)
include (CheckCXXSourceCompiles)
include (AddSubdirectories)
include (CondorPLTest)
include (CondorExeTest)
include (CondorStdExeTest)
include (SrcTargetRef)
include (DumpLocalFlags)
include (CondorPreExternal)
include (CondorPostExternal)
include (CondorConfigure)     # will initiate the configure
include (TarGz) # Must be after include(CondorPackageConfig)

if ( WINDOWS )
	set_property(GLOBAL PROPERTY USE_FOLDERS ON)
endif ( WINDOWS )
##########################################################################
# we only include the single sub to allow make at two levels.
# root - includes externals
# src - src -> only
# this way clean @ root cleans externals while clean @src cleans just the src.
add_subdirectory (src)

##########################################################################
# the following are existing doc targets
# ideally one would transform the building of the docs to cmake or a script

# logic here to support old nmi builds
if(NOT EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/doc/man")

	if (NOT WANT_MAN_PAGES OR ${LATEX} STREQUAL "LATEX-NOTFOUND" OR ${LATEX2HTML} STREQUAL "LATEX2HTML-NOTFOUND")
		message(STATUS "NOTE: Skipping man-pages")
	else()
		
		message(STATUS "NOTE: Will try building man-pages")
		# NOTE: deps are not configured to detect file changes.
		add_custom_command (OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/doc/man/man1/condor_on.1
						COMMAND make
						ARGS just-man-pages
						WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/doc )
						#DEPENDS )

		add_custom_target ( docs ALL DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/doc/man/man1/condor_on.1 )
		
		install( DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/doc/man/ DESTINATION ${C_MAN} )
	endif()

else()
	message(STATUS "NOTE: Will install prebuilt man-pages")
	#Use trailing slash; otherwise, it will be C_MAN/man
	install( DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/doc/man/ DESTINATION ${C_MAN} )
endif()

##########################################################################
# Must in included post *install targets
include ( CPack )

##########################################################################
# print out the summary info: http://www.cmake.org/cmake/help/cmake-2-8-docs.html#module:FeatureSummary
#feature_summary(WHAT ENABLED_FEATURES DESCRIPTION "Enabled Features:" VAR enabledFeaturesText)
#feature_summary(WHAT DISABLED_FEATURES DESCRIPTION "Disabled Features:" VAR disabledFeaturesText)
#message(STATUS "*FEATURES:* http://www.cmake.org/cmake/help/cmake-2-8-docs.html#module:FeatureSummary
#${enabledFeaturesText}")
#message(STATUS "${disabledFeaturesText}")

=== debian/changelog ===
condor (7.8.7~dfsg.1-1~nd11.10+1) oneiric; urgency=low

  * Backported for oneiric.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 10 Jan 2013 16:23:32 -0500

condor (7.8.7~dfsg.1-1) experimental; urgency=low

  * New upstream bug fix release.
    - Fixed a bug wherein running the condor_suspend command on a scheduler
      universe job would cause the schedd to crash (Ticket 3259).
    - Jobs that were submitted with condor_submit -spool and failed during
      submission were left indefinitely in the queue in the Hold state
      (Ticket 3200).
    - When using privilege separation, jobs would be put on hold after
      they finished running if the working directory contained links to
      files that were not globally readable (Ticket 2904).
    - condor_master would sometimes crash on reconfiguration when the
      High Availability configuration had changed (Ticket 3292).
  * Condor is now officially called HTCondor. The Debian package will keep the
    name 'condor' for now and change when switching to the 7.9 or 8.0 series.

 -- Michael Hanke <mih@debian.org>  Thu, 10 Jan 2013 16:47:47 +0100

condor (7.8.6~dfsg.1-1) experimental; urgency=low

  * New upstream bug fix release (skipped 7.8.5).
    - Avoid rare crashes of condor_schedd in association with jobs that have
      'noop_job = true' (Ticket 3156).
    - Fix condor_startd crash when failing to match a partitionable slot after
      the application of configuration variables of the MODIFY_REQUEST_EXPR_
      category (Ticket 3260).
    - Prevent removal of scheduler universe jobs from the job queue when they
      should have been requeued, according to policy. This caused condor_dagman
      jobs to fail to restart. This bug exists in all Condor versions 7.8.0
      through 7.8.4. Upon upgrading from these Condor versions, users will need
      to intervene in order to restart their dagman jobs (Ticket 3207).

 -- Michael Hanke <mih@debian.org>  Tue, 06 Nov 2012 08:22:29 +0100

condor (7.8.4~dfsg.1-1) experimental; urgency=low

  * New upstream bug fix release (missed 7.8.3). This release addresses four
    security-related issues, as well as numerous other bug fixes
    (Closes: #688210):
    - Security Item: Some code that was no longer used was removed. The presence
      of this code could expose information which would allow an attacker to
      control another user's job. (CVE-2012-3493)
    - Security Item: Some code that was no longer used was removed. The presence
      of this code could have lead to a Denial-of-Service attack which would
      allow an attacker to remove another user's idle job. (CVE-2012-3491)
    - Security Item: Filesystem (FS) authentication was improved to check the
      UNIX permissions of the directory used for authentication. Without this,
      an attacker may have been able to impersonate another submitter on the
      same submit machine. (CVE-2012-3492)
    - Security Item: Although not user-visible, there were multiple updates to
      remove places in the code where potential buffer overruns could occur,
      thus removing potential attacks. None were known to be exploitable.
    - Security Item: Although not user-visible, there were updates to the code
      to improve error checking of system calls, removing some potential
      security threats. None were known to be exploitable.
    - The full changelog listing numerous additional bugs is available at
      http://research.cs.wisc.edu/condor/manual/v7.8/9_3Stable_Release.html
  * Added patch to fix a FTBFS on alpha, due to missing getpid syscall.
    Courtesy of Michael Cree <mcree@orcon.net.nz> (Closes: #685892).

 -- Michael Hanke <mih@debian.org>  Fri, 21 Sep 2012 20:56:32 +0200

condor (7.8.2~dfsg.1-2) experimental; urgency=low

  * Make postinst script more robust against missing config variables (Closes:
    #684667). Patch is courtesy of Tim Cartwright.
  * Disable Condor's file transfer mechanism for jobs submitted via
    condor_qsub, because a shared filesystem is assumed for these jobs
    (Closes: #684879).
  * This time really remove dangling symlink /usr/sbin/condor -> ../bin/condor.
    This file no longer exists (Closes: #678425).
  * Support deployment scenario where the administrative 'condor' user is not
    a local system user, but is shared (e.g. through LDAP) by all machines in a
    Condor pool (see installation manual section 3.2). The condor package will
    accept to run under an existing non-system user account named 'condor',
    but only when that account is locked, i.e. not login is possible
    (Closes: #684463).

 -- Michael Hanke <mih@debian.org>  Sun, 12 Aug 2012 19:20:35 +0200

=== debian/control ===
Source: condor
Section: science
Priority: extra
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Condor Developers <condor-debian@cs.wisc.edu>
Uploaders: Michael Hanke <mih@debian.org>
Build-Depends: debhelper (>= 7.0.50~), po-debconf, cmake, libpq-dev,
 libcurl4-openssl-dev, zlib1g-dev, libglobus-gss-assist-dev,
 libglobus-gram-protocol-dev, libglobus-gram-client-dev,
 libglobus-gass-server-ez-dev, libglobus-ftp-client-dev, latex2html, transfig,
 libpcre3-dev, libboost-thread-dev, libboost-program-options-dev,
 libboost-system-dev, libboost-regex-dev, libboost-filesystem-dev,
 libexpat1-dev, libxml2-dev, libvirt-dev, zlib1g-dev, gcj-jdk | java-compiler,
 uuid-dev, chrpath, libldap2-dev | libldap-dev,
 help2man, gsoap (>= 2.7.17-1~)
Standards-Version: 3.9.3
Homepage: http://research.cs.wisc.edu/condor
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/condor.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/condor.git


Package: condor
Architecture: any
Depends: neurodebian-popularity-contest, ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python,
 ${perl:Depends}, debconf (>= 0.5) | debconf-2.0, adduser, libdate-manip-perl
Recommends: dmtcp
Suggests: coop-computing-tools
Description: distributed workload management system
 Like other full-featured batch systems, Condor provides a job queueing
 mechanism, scheduling policy, priority scheme, resource monitoring, and
 resource management. Users submit their serial or parallel jobs to Condor;
 Condor places them into a queue. It chooses when and where to run the jobs
 based upon a policy, carefully monitors their progress, and ultimately
 informs the user upon completion.
 .
 Unlike more traditional batch queueing systems, Condor can also effectively
 harness wasted CPU power from otherwise idle desktop workstations. Condor
 does not require a shared file system across machines - if no shared file
 system is available, Condor can transfer the job's data files on behalf of
 the user.
 .
 This package can set up an appropriate initial configuration at install
 time for a machine intended either as a member of an existing Condor pool
 or as a "Personal" (single machine) Condor pool.


#Package: condor-tests
#Architecture: any
#Depends: ${misc:Depends}, ${shlibs:Depends}
#Description: distributed workload management system - test suite
# Like other full-featured batch systems, Condor provides a job queueing
# mechanism, scheduling policy, priority scheme, resource monitoring, and
# resource management. Users submit their serial or parallel jobs to Condor;
# Condor places them into a queue. It chooses when and where to run the jobs
# based upon a policy, carefully monitors their progress, and ultimately
# informs the user upon completion.
# .
# Unlike more traditional batch queueing systems, Condor can also effectively
# harness wasted CPU power from otherwise idle desktop workstations. Condor
# does not require a shared file system across machines - if no shared file
# system is available, Condor can transfer the job's data files on behalf of
# the user.
# .
# This package provides Condor's test-suite, which can be used to verify
# proper functioning of a Condor installation.


Package: condor-dev
Section: devel
Architecture: any
Depends: neurodebian-popularity-contest, ${misc:Depends}, ${shlibs:Depends}
Description: distributed workload management system - development files
 Like other full-featured batch systems, Condor provides a job queueing
 mechanism, scheduling policy, priority scheme, resource monitoring, and
 resource management. Users submit their serial or parallel jobs to Condor;
 Condor places them into a queue. It chooses when and where to run the jobs
 based upon a policy, carefully monitors their progress, and ultimately
 informs the user upon completion.
 .
 Unlike more traditional batch queueing systems, Condor can also effectively
 harness wasted CPU power from otherwise idle desktop workstations. Condor
 does not require a shared file system across machines - if no shared file
 system is available, Condor can transfer the job's data files on behalf of
 the user.
 .
 This package provides headers and libraries for development of Condor add-ons.


Package: condor-doc
Section: doc
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends}
Description: distributed workload management system - documentation
 Like other full-featured batch systems, Condor provides a job queueing
 mechanism, scheduling policy, priority scheme, resource monitoring, and
 resource management. Users submit their serial or parallel jobs to Condor;
 Condor places them into a queue. It chooses when and where to run the jobs
 based upon a policy, carefully monitors their progress, and ultimately
 informs the user upon completion.
 .
 Unlike more traditional batch queueing systems, Condor can also effectively
 harness wasted CPU power from otherwise idle desktop workstations. Condor
 does not require a shared file system across machines - if no shared file
 system is available, Condor can transfer the job's data files on behalf of
 the user.
 .
 This package provides Condor's documentation in HTML and PDF format, as well
 as configuration and other examples.


Package: condor-dbg
Section: debug
Architecture: any
Depends: neurodebian-popularity-contest, ${misc:Depends}, condor (= ${binary:Version})
Description: distributed workload management system - debugging symbols
 Like other full-featured batch systems, Condor provides a job queueing
 mechanism, scheduling policy, priority scheme, resource monitoring, and
 resource management. Users submit their serial or parallel jobs to Condor;
 Condor places them into a queue. It chooses when and where to run the jobs
 based upon a policy, carefully monitors their progress, and ultimately
 informs the user upon completion.
 .
 Unlike more traditional batch queueing systems, Condor can also effectively
 harness wasted CPU power from otherwise idle desktop workstations. Condor
 does not require a shared file system across machines - if no shared file
 system is available, Condor can transfer the job's data files on behalf of
 the user.
 .
 This package provides the debugging symbols for Condor.


Package: libclassad-dev
Replaces: libclassad0-dev
Conflicts: libclassad0-dev
Section: libdevel
Architecture: any
Depends: neurodebian-popularity-contest, libclassad3 (= ${binary:Version}), ${misc:Depends}
Description: Condor classads expression language - development library
 Classified Advertisements (classads) are the lingua franca of Condor, used for
 describing jobs, workstations, and other resources. There is a protocol for
 evaluating whether two classads match, which is used by the Condor central
 manager to determine the compatibility of jobs, and workstations where they
 may be run.
 .
 This package provides the static library and header files.


Package: libclassad3
Architecture: any
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
Description: Condor classads expression language - runtime library
 Classified Advertisements (classads) are the lingua franca of Condor, used for
 describing jobs, workstations, and other resources. There is a protocol for
 evaluating whether two classads match, which is used by the Condor central
 manager to determine the compatibility of jobs, and workstations where they
 may be run.
 .
 This package provides the runtime library.
